1. Core Capabilities
PixVerse Platform Docs
  • Get Started
    • What Is PixVerse AI?
    • Model Capability Map
    • Billing and Usage
    • Quick Start
    • Contact Us
    • Privacy and Data Protection
  • API
    • Preparation
      • Start Here
      • Concurrency Rules
      • Query Task Status
      • Error Codes
      • FAQ
      • Webhook Callbacks
      • Upload Image
      • Upload Media (Video and Audio)
      • Verify Uploaded Audio
      • Get Effect Template List
      • Get TTS Speaker List
      • Get Restyle Effect List
      • Query Task Status
      • Get Account Balance
      • Usage Deduction Query
      • Create Custom Voice
      • Delete Custom Voice
    • Core Capabilities
      • Text-to-Video
        POST
      • Image-to-Video and Video Templates
        POST
      • First and Last Frame Video
        POST
      • Reference-to-Video (Fusion)
        POST
      • Multi-Transition Video
        POST
      • Video Extend
        POST
      • Image Template Generation
        POST
      • Get Image Generation Result
        GET
    • Solutions
      • Video Upscale
      • Video Restyle
      • Lipsync
      • Video Edit (Modify)
      • Image Avatar
      • Select Video Mask
      • Sound Effect
      • Subject Replacement (Swap)
      • Motion Control (Mimic)
      • One-click Real Estate Video
      • One-click VibeMV
  • Pricing
    • PixVerse API Pricing
  • Changelog
    • Changelog
  1. Core Capabilities

Video Extend

POST
/openapi/v2/video/extend/generate
Continue a source video. Provide exactly one source. V6 supports a 1-15 second extension. Source video up to 30 seconds / 50 MB; cumulative duration after extension up to 40 seconds. The result may include the source plus the extension, so task duration is not necessarily final file duration.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request processed. ErrCode=0 indicates business success; a nonzero ErrCode indicates failure, even with HTTP 200.
Bodyapplication/json

🟠400
🟠401
Request Request Example
Shell
curl --location 'https://app-api.pixverse.ai/openapi/v2/video/extend/generate' \
--header 'API-KEY: your-api-key' \
--header 'Ai-trace-id: 550e8400-e29b-41d4-a716-446655440000' \
--header 'Content-Type: application/json' \
--data '{
    "source_video_id": 123456794,
    "prompt": "The camera continues moving forward into the city",
    "model": "v6",
    "duration": 5,
    "quality": "720p"
}'
Response Response Example
200 - Illustrative accepted task; poll to completion
{
    "ErrCode": 0,
    "ErrMsg": "Success",
    "Resp": {
        "video_id": 123456789,
        "credits": 10
    }
}
Previous
Multi-Transition Video
Next
Image Template Generation